Bug 192895 - Numeric.reshape with multidimensional newshape raises ValueError
Numeric.reshape with multidimensional newshape raises ValueError
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-numeric (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-23 16:50 EDT by Brad Aagaard
Modified: 2009-04-06 10:36 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-numeric-24.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-03 14:20:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Aagaard 2006-05-23 16:50:38 EDT
Description of problem:

Numeric.reshape raises ValueError exception when newshape has more than 1 
dimension.


Version-Release number of selected component (if applicable):

python-numeric-23.7-2.2.1

How reproducible:

from Numeric import *
x = array([1,2,3,4], Int)
y = reshape(x, (2,2))

Actual results:

Traceback (most recent call last):
  File "aa.py", line 3, in ?
    y = reshape(x, (2,2))
ValueError: total size of new array must be unchanged


Expected results:

y = [[1 2]
    [3 4]]


Additional info:

Same code works fine with numpy-0.9.6-1.fc5. Issue may have been resolved in 
later release of Numeric (release notes of later versions mention fixed to 64 
bit issues). Many fc5 packages depend on python-numeric, so it is not possible 
to simply remove python-numeric and use numpy.
Comment 1 Matthew Barnes 2006-10-29 20:44:33 EST
Fixed in python-numeric-24.2-1.
Comment 2 Casey Dahlin 2009-04-03 10:38:36 EDT
Bug is still present in RHEL 5. Can we get the patch applied there too?
Comment 3 Matthew Barnes 2009-04-03 14:20:41 EDT
Please open a separate bug for RHEL issues.

Note You need to log in before you can comment on or make changes to this bug.